.prompt
{
   display: flex;
   align-items: center;

   border-radius: 2em;
   border: 1px solid #ccc;
   padding: 5px;

   font-size: 1.1rem;
   line-height: 1;

   transition: border-color .4s ease;

   &:focus-within
   {
      border-color: #393939;
   }

   > input
   {
      appearance: none;
      border: none;
      background-color: transparent;

      font-size: inherit;
      line-height: inherit;
   }
}

.input
{
   flex-grow: 1;

   padding-block: .3em;
   padding-inline-start: .75em;

   font-family: 'Courier New', Courier, monospace;

   &:focus
   {
      outline: none;
   }
}


.submit
{
   align-self: stretch;

   display: block;

   border-radius: 1.5em;

   padding-inline: .75em;
   min-width: 1.5em;
   min-height: 1.5em;

   text-transform: capitalize;

   transition:
      color .35s ease,
      background-color .4s ease;

   cursor: pointer;

   &:hover
   {
      color: #eee;
      background-color: #4b4b4b;
   }

   &:focus
   {
      outline: 1px solid #ccc;
   }
}